define({"398":{y:0,u:"../Content/Configuration/Service/_ACI_ServiceConfigParams_Reference.htm",l:-1,t:"Service Configuration Parameters",i:0.000444000469406057,a:"This section describes the Service configuration parameters that determine which machines are permitted to use and control a service.  You must enable the service port by specifying the  ServicePort  configuration parameter, and you must configure authorization roles to determine which users can ..."},"399":{y:0,u:"../Content/Configuration/Service/_ACI_Access_Control_Allow_Ori.htm",l:-1,t:"Access-Control-Allow-Origin",i:0.000444000469406057,a:"A list of URLs that you want to use to access the IDOL Admin interface. You must configure this parameter to enable Cross Origin Resource Sharing, which allows IDOL Admin to access the index and service ports for your components.  Each URL must include: the http:// or https:// prefix the host that ..."},"400":{y:0,u:"../Content/Configuration/Service/_ACI_FIPSMode.htm",l:-1,t:"FIPSMode",i:0.000444000469406057,a:"Set FIPSMode to  True to enable the FIPS-compliant cryptographic modules in your  IDOL components.   IDOL uses a cryptographic module which complies with Federal Information Processing Standard 140-2 (FIPS 140-2). This standard defines the technical requirements that Federal Agencies must use for ..."},"401":{y:0,u:"../Content/Configuration/Service/_ACI_LogGSSFailures.htm",l:-1,t:"LogGSSFailures",i:0.000444000469406057,a:"Set LogGSSFailures to  True to include additional logging for GSS authentication failures. When you enable GSS failure logging, the logs include details for when a request is rejected because it has: a missing Authorization header. a non-valid Authorization header value. a rejected Authorization ..."},"402":{y:0,u:"../Content/Configuration/Service/_ACI_RequireGSSAuth.htm",l:-1,t:"RequireGSSAuth",i:0.00175035171223866,a:"Set RequireGSSAuth to True to enable GSSAPI authentication mode on the Oracle Connector service port. In this mode, all connections to the service port must be authenticated using GSSAPI and the Negotiate HTTP authentication mechanism.  To use GSSAPI authentication, you must also set  GSSServiceName ..."},"403":{y:0,u:"../Content/Configuration/Service/_ACI_ServiceHost.htm",l:-1,t:"ServiceHost",i:0.000976901721199084,a:"ServiceHost The host server on which the service is running. You must configure  Authorization Roles Configuration Parameters  to determine the users that can send service requests."},"404":{y:0,u:"../Content/Configuration/Service/_ACI_ServicePort.htm",l:-1,t:"ServicePort",i:0.00125388303891241,a:"ServicePort The port on the host server on which the service listens for service status and control requests.  You must configure  Authorization Roles Configuration Parameters  to determine the users that can send service requests."},"405":{y:0,u:"../Content/Configuration/Service/_ACI_SSLConfig.htm",l:-1,t:"SSLConfig",i:0.000444000469406057,a:"SSLConfig The name of the configuration section that specifies the SSL configuration details (usually SSLOptionN).  Set this parameter in the [Service] section to configure SSL for incoming service actions. "},"406":{y:0,u:"../Content/Configuration/Service/_ACI_TCPReceiveWindowSize.htm",l:-1,t:"TCPReceiveWindowSize",i:0.000444000469406057,a:"The TCP receive window size to use when the service receives data (in bytes). This parameter sets the size of the socket receiving buffers for all IDOL components. Use this parameter to tune network performance based on bandwidth and client to server round-trip times. Generally, a higher value ..."},"407":{y:0,u:"../Content/Configuration/TaskName/_CN_TaskNameParameters.htm",l:-1,t:"TaskName Configuration Parameters",i:0.000444000469406057,a:"This section describes the configuration parameters that you can use to configure fetch tasks for the Oracle Connector.  Some parameters can be set in more than one section of the configuration file.\n\t\tIf a parameter is set in more than one section, the value of the parameter located in the most ..."},"408":{y:0,u:"../Content/Configuration/TaskName/AddedAndUpdatedStatement.htm",l:-1,t:"AddedAndUpdatedStatement",i:0.00545669573731202,a:"The SQL statement to use to find new and updated records when UseIncrementalStatements=True. When UseIncrementalStatements=True, the connector runs the queries specified by InititalStatement, AddedAndUpdatedStatement and DeletedStatement instead of the query specified by the SQL parameter.\n         ..."},"409":{y:0,u:"../Content/Configuration/TaskName/ConnectionString.htm",l:-1,t:"ConnectionString",i:0.000444000469406057,a:"ConnectionString The connection string to use to connect to the database."},"410":{y:0,u:"../Content/Configuration/TaskName/ContentField.htm",l:-1,t:"ContentField ",i:0.00137805964063913,a:"  The name of a column in the database that contains the content of a document and is to be used as the main document source. Use this parameter to extract a CLOB, for instance. You cannot use the field specified by this parameter to populate a document field. If you need to extract the value of the ..."},"411":{y:0,u:"../Content/Configuration/TaskName/ContentfieldType.htm",l:-1,t:"ContentFieldType",i:0.00219776413005258,a:"The ContentFieldType parameter specifies the type of data stored in the content field specified by the  ContentField  parameter. Set ContentFieldType to one of the following values: Type: String Default: BINARY Required: No Configuration Section: TaskName or FetchTasks Example: ..."},"412":{y:0,u:"../Content/Configuration/TaskName/DeletedStatement.htm",l:-1,t:"DeletedStatement",i:0.00545669573731202,a:"The  SQL statement to use to find deleted records when UseIncrementalStatements=True. When UseIncrementalStatements=True, the connector runs the queries specified by InititalStatement, AddedAndUpdatedStatement and DeletedStatement instead of the query specified by the SQL parameter.\n         When ..."},"413":{y:0,u:"../Content/Configuration/TaskName/DeleteEventSQL.htm",l:-1,t:"DeleteEventSQL",i:0.000772175669861272,a:"The SQL query to use to delete rows from the event table after they have been ingested.  You can use the placeholder @Clause in the query. The connector replaces this with a clause that identifies the rows that have been ingested. When you set this parameter, the connector operates in event-table ..."},"414":{y:0,u:"../Content/Configuration/TaskName/DisableProgressReporting.htm",l:-1,t:"DisableProgressReporting",i:0.000444000469406057,a:"A Boolean value that specifies whether to disable progress reporting (which is available by default through action=QueueInfo\u0026QueueName=Fetch\u0026QueueAction=Progress). To generate a progress report the connector must query the database, to find information such as the number of rows it has to process. ..."},"415":{y:0,u:"../Content/Configuration/TaskName/EventTableType.htm",l:-1,t:"EventTableType",i:0.000772175669861272,a:"In event-table mode, applications add rows to an event table. On each synchronize cycle, the connector runs a query (specified by the  SQL  parameter) to extract documents from the table, processes the documents that are returned, and then deletes the rows that it has processed. This parameter ..."},"416":{y:0,u:"../Content/Configuration/TaskName/FilePathEncoding.htm",l:-1,t:"FilePathEncoding",i:0.00274833717479933,a:"The type of encoding used for file names that are identified by the ContentFieldType=Filepath parameter. File names are extracted using UTF-8 and are converted to the specified format. This allows you to extract files from file systems that do not support UTF-8. You can set this parameter to any ..."},"417":{y:0,u:"../Content/Configuration/TaskName/InitialStatement.htm",l:-1,t:"InitialStatement",i:0.00371686637987501,a:"The query to send to the database to retrieve documents on the initial synchronize cycle (the full synchronize), when UseIncrementalStatements=True. When UseIncrementalStatements=True, the connector uses this query to retrieve information from the database during the initial synchronize cycle. The ..."},"418":{y:0,u:"../Content/Configuration/TaskName/LastRunTimeFormat.htm",l:-1,t:"LastRunTimeFormat",i:0.00276312023626908,a:"LastRunTimeFormat The time format to use when replacing the @lastruntime string in the queries specified by AddedAndUpdatedStatement and DeletedStatement. Specify the time format as a standard IDOL date/time format."},"419":{y:0,u:"../Content/Configuration/TaskName/PrimaryKeys.htm",l:-1,t:"PrimaryKeys",i:0.000444000469406057,a:"The  column, or comma-separated list of columns, to use as the primary key for a table.  The value in each row of the primary key column must be unique (the combination of values must be unique if you specify multiple columns). You must set this parameter so that the connector can determine whether ..."},"420":{y:0,u:"../Content/Configuration/TaskName/SQL.htm",l:-1,t:"SQL",i:0.00316198664807412,a:"The SQL parameter specifies the query sent to the database. The rows returned by the query are transformed into documents. If you are writing a SQL command to extract data from a sub-table, you can use the @ character to substitute data from the main table. For example: ..."},"421":{y:0,u:"../Content/Configuration/TaskName/SubTables.htm",l:-1,t:"SubTables",i:0.00257818006185186,a:"A comma-separated list of sections in the configuration file that configure extraction of data from sub tables (which contain data linked to the main table). For example: [MyTask]\nConnectionString=...\nPrimaryKeys=item_id\nTemplate=inventory.tmpl\nSQL=SELECT * FROM ..."},"422":{y:0,u:"../Content/Configuration/TaskName/Template.htm",l:-1,t:"Template",i:0.0011744892085745,a:"The template file to use to form the documents that are sent to CFS and IDOL. If you are extracting information from sub-tables and have set the parameter  SubTables , you must create a template. If you are not retrieving data from sub-tables, creating a template is optional. Without a template, the ..."},"423":{y:0,u:"../Content/Configuration/TaskName/UnicodeTablesDirectory.htm",l:-1,t:"UnicodeTablesDirectory",i:0.00161207550232066,a:"UnicodeTablesDirectory The  location of unicode tables that are used for conversion between encoding types."},"424":{y:0,u:"../Content/Configuration/TaskName/UseIncrementalStatements.htm",l:-1,t:"UseIncrementalStatements",i:0.00448817114440785,a:"The UseIncrementalStatements parameter specifies whether to run queries that identify new/updated and deleted records. When UseIncrementalStatements=False, the connector performs a full synchronize every time the task runs, using the query specified by the  SQL  parameter. When ..."},"425":{y:0,u:"../Content/Configuration/TaskName/UseSingleConnectionForSubtables.htm",l:-1,t:"UseSingleConnectionForSubtables",i:0.000444000469406057,a:"The Oracle Connector opens a new connection to retrieve data from each sub-table that you specify in the connector’s configuration file. However, some  Oracle  implementations limit the number of connections. If this occurs, set this parameter to true. This ensures that the connector uses only one ..."},"426":{y:0,u:"../Content/Configuration/ViewServer/_CN_params_viewserver.htm",l:-1,t:"View Server Configuration Parameters",i:0.000444000469406057,a:"View Server Configuration Parameters This section describes the configuration parameters that enable the connector’s view action to use a view server."},"427":{y:0,u:"../Content/Configuration/ViewServer/_CN_EnableViewServer.htm",l:-1,t:"EnableViewServer",i:0.00189699445209909,a:"EnableViewServer The EnableViewServer parameter specifies whether documents retrieved by a view action are processed by the View Server before being returned. To process documents, set this parameter to True. If this parameter is False, the original documents are returned."},"428":{y:0,u:"../Content/Configuration/ViewServer/_CN_GSSServiceName.htm",l:-1,t:"GSSServiceName",i:0.000444000469406057,a:"The GSSAPI service name of the IDOL View Server. Specify only the service name part. You do not need to specify the fully qualified domain name. Set this parameter if the View Server has been configured to require Kerberos authentication. The value should match the service name part of the ..."},"429":{y:0,u:"../Content/Configuration/ViewServer/_CN_Host.htm",l:-1,t:"Host",i:0.000821401364389318,a:"Host The Host parameter specifies the host name or IP address of the View Server. This parameter is used only if the EnableViewServer parameter is set to True."},"430":{y:0,u:"../Content/Configuration/ViewServer/_CN_Port.htm",l:-1,t:"Port",i:0.000444000469406057,a:"Port The Port parameter specifies the port of the View Server. This parameter is used only if the EnableViewServer parameter is set to True."},"431":{y:0,u:"../Content/Configuration/ViewServer/_CN_SharedPath.htm",l:-1,t:"SharedPath",i:0.000444000469406057,a:"SharedPath The SharedPath parameter specifies the path to a location accessible by both the connector and the View Server. Intermediate files are stored here. This parameter is used only if the EnableViewServer parameter is set to True."},"432":{y:0,u:"../Content/Service/_ACI_part_Service.htm",l:-1,t:"Service Actions",i:0.000444000469406057,a:"Service Actions This section describes the service actions that you can send to the service. Introduction to Service Actions Service Actions"},"433":{y:0,u:"../Content/Service/_ACI_Service_Intro.htm",l:-1,t:"Introduction to Service Actions",i:0.000632700916897687,a:"Service actions  return data about the service and allow you to control the service. You must add the  ServicePort  configuration parameter to the [Service] section of the  configuration file to enable the service port. You can use authorization roles to control which users can send service control ..."},"434":{y:0,u:"../Content/Service/ServiceActions/_ACI_ServiceActions_Reference.htm",l:-1,t:"Service Actions",i:0.000758501215225441,a:"Service Actions This section describes the Service actions. When the service port is enabled, it accepts the following standard status and control actions."},"435":{y:0,u:"../Content/Service/ServiceActions/_ACI_ACIThreadStatus.htm",l:-1,t:"ACIThreadStatus",i:0.000508473167049654,a:"Returns information about the activity of all the threads that the ACI service is using, including the number of accepted connections. This is a service status action that can be sent only by users that belong to an authorization role that allows the ServiceStatus standard role, or which enables the ..."},"436":{y:0,u:"../Content/Service/ServiceActions/_ACI_Diagnostic.htm",l:-1,t:"Diagnostic",i:0.00455153065911701,a:"The Diagnostic action creates a ZIP file for the service, which contains useful information for troubleshooting.  The information provided, and the level of detail in the files, varies for different services.  This is a service control action that can be sent only by users that belong to an ..."},"437":{y:0,u:"../Content/Service/ServiceActions/_ACI_GetConfig.htm",l:-1,t:"GetConfig",i:0.000508473167049654,a:"The GetConfig action returns the service’s configuration file settings. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization Roles Configuration ..."},"438":{y:0,u:"../Content/Service/ServiceActions/_ACI_GetLogStream.htm",l:-1,t:"GetLogStream",i:0.00264749404040626,a:"The GetLogStream action returns a specific log stream for the service. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization Roles Configuration ..."},"439":{y:0,u:"../Content/Service/ServiceActions/_ACI_GetLogStreamNames.htm",l:-1,t:"GetLogStreamNames",i:0.00149887186768893,a:"The GetLogStreamNames action returns the names of the log streams defined for the service. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization ..."},"440":{y:0,u:"../Content/Service/ServiceActions/_ACI_GetStatistics.htm",l:-1,t:"GetStatistics",i:0.00126327495701618,a:"The GetStatistics action returns statistics for the service. This is a service status action that can be sent only by users that belong to an authorization role that allows the ServiceStatus standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . ..."},"441":{y:0,u:"../Content/Service/ServiceActions/_ACI_GetStatus.htm",l:-1,t:"GetStatus",i:0.000508473167049654,a:"The GetStatus action returns the status of the service  (running, paused, or stopping) and some current configuration settings.  This is a service status action that can be sent only by users that belong to an authorization role that allows the ServiceStatus standard role, or which enables the ..."},"442":{y:0,u:"../Content/Service/ServiceActions/_ACI_GetStatusInfo.htm",l:-1,t:"GetStatusInfo",i:0.000508473167049654,a:"The GetStatusInfo action returns status information for the service (for example, the service’s product name, version number and so on). The action returns the following status information for the service: This is a service status action that can be sent only by users that belong to an authorization ..."},"443":{y:0,u:"../Content/Service/ServiceActions/_ACI_Stop.htm",l:-1,t:"Stop",i:0.000508473167049654,a:"The Stop action stops the service. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . Example action=Stop ..."},"444":{y:0,u:"../Content/Service/ServiceActions/_ACI_ValidateConfig.htm",l:-1,t:"ValidateConfig",i:0.000508473167049654,a:"The ValidateConfig action detects and returns a list of configuration errors such as repeated or unused configuration keys and sections, unreferenced entries and so on.  For the ValidateConfig action to validate a configuration section, Oracle Connector must have previously read that configuration. ..."},"445":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_FieldStandardization.htm",l:-1,t:"Field Standardization",i:0.000444000469406057,a:"Field standardization modifies documents so that they have a consistent structure and consistent field names. You can use field standardization so that documents indexed into IDOL through different connectors use the same fields to store the same type of information. Field standardization only ..."},"446":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_AddField.htm",l:-1,t:"AddField",i:0.00126807288488687,a:"The \u003cAddField\u003e element adds a field to the document metadata. The content of the field can be manipulated by child operations such as \u003cAddField\u003e,  SetValue , and  SetAttribute . The field is added to the document in the current field context. This means it is possible for subsequent operations to ..."},"447":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_Attribute.htm",l:-1,t:"Attribute",i:0.000463863674405176,a:"The \u003cAttribute\u003e element represents an existing attribute in the document metadata. Place the \u003cAttribute\u003e element immediately below any  Field  element to standardize matching attributes that exist on the metadata field(s). Metadata field attributes can be matched by exact name, or by regular ..."},"448":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_Copy.htm",l:-1,t:"Copy",i:0.000463863674405176,a:"Copy The \u003cCopy\u003e element copies a field. This operation works in the same way as \u003cMove\u003e, except that the source field is not removed. For more information, see the  Move  element."},"449":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_Delete.htm",l:-1,t:"Delete",i:0.000463863674405176,a:"The \u003cDelete\u003e element removes the current field or attribute from the document metadata. Operations are not allowed to follow as siblings of the \u003cDelete\u003e element, because the delete operation invalidates the context field or attribute. The following example deletes the field \"myField\" and the ..."},"450":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_Field.htm",l:-1,t:"Field",i:0.000858148321901239,a:"The \u003cField\u003e element represents an existing document metadata field. Place the \u003cField\u003e element immediately below the root \u003cFieldStandardization\u003e element to standardize matching metadata fields that exist at the top level of the document metadata. You can also nest \u003cField\u003e elements to perform ..."},"451":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_GetName.htm",l:-1,t:"GetName",i:0.0011932908397649,a:"The \u003cGetName\u003e element stores the name of the current context field or attribute in a variable. The following example stores the current field name and value in variables called \"fieldName\" and \"fieldValue\". \u003cFieldStandardization\u003e\n    \u003cField nameRegex=\"startsWith.*\"\u003e\n        \u003cGetName var=\"fieldName\" ..."},"452":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_GetValue.htm",l:-1,t:"GetValue",i:0.000463863674405176,a:"The \u003cGetValue\u003e element stores the value of the current context field or attribute in a variable. The following example stores the current field name and value in variables called \"fieldName\" and \"fieldValue\". \u003cFieldStandardization\u003e\n    \u003cField nameRegex=\"startsWith.*\"\u003e\n        \u003cGetName ..."},"453":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_IfAttribute.htm",l:-1,t:"IfAttribute",i:0.000463863674405176,a:"The \u003cIfAttribute\u003e element makes operations conditional on the presence of a metadata field attribute. Using \u003cIfAttribute\u003e  does not change the context (the current position in the document). The following attributes filter the matching attributes by their values: In the following example, the field ..."},"454":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_IfField.htm",l:-1,t:"IfField",i:0.000463863674405176,a:"The \u003cIfField\u003e element makes operations conditional on the presence of a metadata field. Using \u003cIfField\u003e  does not change the context (the current position in the document). The following attributes filter the matching fields by their values: In the following example, the field \"anotherField\" is ..."},"455":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_IfVar.htm",l:-1,t:"IfVar",i:0.000463863674405176,a:"The \u003cIfVar\u003e element makes operations conditional on whether a variable exists and optionally matches a given value. Using \u003cIfVar\u003e  does not change the context (the current position in the document). The following example adds a field to the document metadata when the value of a variable named ..."},"456":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_Includable.htm",l:-1,t:"Includable",i:0.00103484605728263,a:"The \u003cIncludable\u003e element defines operations that can be used elsewhere in the field standardization dictionary. Any variables defined or modified by child elements revert to their previous state when the \u003cIncludable\u003e operations complete. The \u003cIncludable\u003e and \u003cInclude\u003e elements can be used to ..."},"457":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_Include.htm",l:-1,t:"Include",i:0.00134348480512261,a:"The \u003cInclude\u003e element includes operations defined elsewhere in the field standardization dictionary. An included fragment of XML behaves as though the XML was inserted at the location of the \u003cInclude\u003e element, except that any variables defined or modified by included operations revert to their ..."},"458":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_Move.htm",l:-1,t:"Move",i:0.000858148321901239,a:"The \u003cMove\u003e element moves or renames a field. By default the source field and destination parent field are defined by the context \u003cField\u003e element. You can specify a different source or destination by setting the srcId and destId attributes. In other words, if you set neither srcId nor destId, the ..."},"459":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_NewField.htm",l:-1,t:"NewField",i:0.000823151825276312,a:"The \u003cNewField\u003e element builds a new field but does not immediately change the document metadata.  Normally the  AddField  element is preferred because it is simpler to use and immediately adds the new field in the current field context. You can use the \u003cNewField\u003e element to ensure that subsequent ..."},"460":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_Product.htm",l:-1,t:"Product",i:0.000463863674405176,a:"The \u003cProduct\u003e element contains field standardization rules to transform metadata generated by a specific product.  It allows you to standardize a document correctly, based on its origin. The StandardizeMetadata processor in IDOL NiFi Ingest applies the rules in any product element with a key or ..."},"461":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_SetAttribute.htm",l:-1,t:"SetAttribute",i:0.00105637865288055,a:"The \u003cSetAttribute\u003e element adds or overwrites an attribute on the current context field. The following example sets an attribute named \"myAttribute\" on the field \"myField\": \u003cFieldStandardization\u003e\n    \u003cField name=\"myField\"\u003e\n         \u003cSetAttribute name=\"myAttribute\" value=\"attributeValue\" /\u003e\n    ..."},"462":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_SetValue.htm",l:-1,t:"SetValue",i:0.00105637865288055,a:"The \u003cSetValue\u003e element updates the value of the current context field or attribute. The following example changes a field value: \u003cFieldStandardization\u003e\n    \u003cField name=\"myField\"\u003e\n         \u003cSetValue value=\"newValue\" /\u003e\n    \u003c/Field\u003e\n\u003c/FieldStandardization\u003e The following example changes an attribute ..."},"463":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_SetVar.htm",l:-1,t:"SetVar",i:0.000463863674405176,a:"SetVar The \u003cSetVar\u003e element sets the value of a variable. You can use a variable in later operations, as $(variableName). The following example sets a variable named \"myVariable\". \u003cFieldStandardization\u003e\n    \u003cSetVar var=\"myVariable\" value=\"myValue\" /\u003e\n\u003c/FieldStandardization\u003e"},"464":{y:0,u:"../Content/Shared_Admin/Standardizer/_ADM_ValueFormat.htm",l:-1,t:"ValueFormat",i:0.000463863674405176,a:"The \u003cValueFormat\u003e element converts field or attribute values from one format to another. The following example changes the format of a field named \"dateField\", from a value such as 2020-10-27 15:11:32 to AUTNDATE format. \u003cFieldStandardization\u003e\n    \u003cField name=\"dateField\"\u003e\n         \u003cValueFormat ..."},"465":{y:0,u:"../Content/Lua/_LUA_Lua_Scripts.htm",l:-1,t:"Lua Functions and Methods Reference",i:0.000444000469406057,a:"Lua Functions and Methods Reference This section describes the functions and methods that you can use in your Lua scripts. Oracle Connector includes Lua version 5.3.0. Any Lua modules that you use must be compatible with this version."},"466":{y:0,u:"../Content/Lua/General/_LUA_General_Methods.htm",l:-1,t:"General Functions",i:0.000444000469406057,a:"General Functions"},"467":{y:0,u:"../Content/Lua/General/_LUA_abs_path.htm",l:-1,t:"abs_path",i:0.000450187369323815,a:"abs_path The abs_path method returns the supplied path as an absolute path. Syntax abs_path( path ) Arguments Returns (String). A string containing the supplied path as an absolute path."},"468":{y:0,u:"../Content/Lua/General/_LUA_base64_decode.htm",l:-1,t:"base64_decode",i:0.000450187369323815,a:"base64_decode The base64_decode method decodes a base64-encoded  string. Syntax base64_decode( input ) Arguments Returns (String). The decoded string. If the input is not a valid base64-encoded string, the function returns nil."},"469":{y:0,u:"../Content/Lua/General/_LUA_base64_encode.htm",l:-1,t:"base64_encode",i:0.000450187369323815,a:"base64_encode The base64_encode method base64-encodes a string. Syntax base64_encode( input ) Arguments Returns (String). A base64-encoded string."},"470":{y:0,u:"../Content/Lua/General/_LUA_convert_date_time.htm",l:-1,t:"convert_date_time",i:0.000450187369323815,a:"The convert_date_time method converts date and time formats using standard IDOL formats. All date and time input is treated as local time unless it contains explicit time zone information. The InputFormatCSV and OutputFormat arguments specify date and time formats, and accept the following values: ..."},"471":{y:0,u:"../Content/Lua/General/_LUA_convert_encoding.htm",l:-1,t:"convert_encoding",i:0.000832847138040572,a:"convert_encoding The convert_encoding method converts the encoding of a string from one character encoding to another. Syntax convert_encoding( input, encodingTo, encodingTables [, encodingFrom]) Arguments Returns (String). A string, using the specified character encoding."},"472":{y:0,u:"../Content/Lua/General/_LUA_copy_file.htm",l:-1,t:"copy_file",i:0.000450187369323815,a:"copy_file The copy_file method copies a file. Syntax copy_file( src, dest [, overwrite] ) Arguments Returns (Boolean). A Boolean, true to indicate success or false for failure."},"473":{y:0,u:"../Content/Lua/General/_LUA_create_path.htm",l:-1,t:"create_path",i:0.000450187369323815,a:"create_path The create_path method creates the specified directory tree. Syntax create_path( path ) Arguments"},"474":{y:0,u:"../Content/Lua/General/_LUA_create_uuid.htm",l:-1,t:"create_uuid",i:0.000450187369323815,a:"create_uuid The create_uuid method creates a universally unique identifier. Syntax create_uuid() Returns (String). A string containing the universally unique identifier."},"475":{y:0,u:"../Content/Lua/General/_LUA_date_time_now.htm",l:-1,t:"date_time_now",i:0.000450187369323815,a:"The date_time_now function gets the current date and time in the specified IDOL date format. IDOL date formats Syntax date_time_now( format, gmt ) Arguments Returns String. The current date and time. Examples --Return value in local time\nprint (date_time_now(\"YYYY-MM-DD HH:NN:SS ZZZ\"))\n\n--Return ..."},"476":{y:0,u:"../Content/Lua/General/_LUA_decrypt.htm",l:-1,t:"decrypt",i:0.000832847138040572,a:"decrypt The decrypt function decrypts a string that was encrypted using the  encrypt  function. Syntax decrypt( content ) Arguments Returns (String). The decrypted string."},"477":{y:0,u:"../Content/Lua/General/_LUA_decrypt_security_field.htm",l:-1,t:"decrypt_security_field",i:0.000450187369323815,a:"The decrypt_security_field function decrypts a supplied ACL string. This function is similar to the  decrypt  function, but is intended for use with Access Control Lists (ACLs) which usually contain multiple encrypted strings with delimiters such as :U:,:NU:, and commas. Syntax ..."},"478":{y:0,u:"../Content/Lua/General/_LUA_delete_file.htm",l:-1,t:"delete_file",i:0.000450187369323815,a:"delete_file The delete_file method deletes a file. Syntax delete_file( path ) Arguments Returns (Boolean). A boolean, true to indicate success or false for failure."},"479":{y:0,u:"../Content/Lua/General/_LUA_delete_path.htm",l:-1,t:"delete_path",i:0.000450187369323815,a:"delete_path The delete_path function deletes the specified directory, but only if it is empty. Syntax delete_path( path ) Arguments Returns Nothing. Example delete_path( \"C:\\MyFolder\\AnotherFolder\\\" )"},"480":{y:0,u:"../Content/Lua/General/_LUA_doc_tracking.htm",l:-1,t:"doc_tracking",i:0.000450187369323815,a:"The doc_tracking function raises a document tracking event for a document. Syntax doc_tracking( document , eventName [, eventMetadata] [, reference] ) Arguments Returns (Boolean). A Boolean that indicates whether the event was raised successfully. Example local ..."},"481":{y:0,u:"../Content/Lua/General/_LUA_encrypt.htm",l:-1,t:"encrypt",i:0.00154076825666923,a:"encrypt The encrypt method encrypts a string and returns the encrypted string. It uses the same encryption method as ACL encryption. Syntax encrypt( content ) Arguments Returns (String). The encrypted string."},"482":{y:0,u:"../Content/Lua/General/_LUA_encrypt_security_field.htm",l:-1,t:"encrypt_security_field",i:0.000450187369323815,a:"The encrypt_security_field function returns the encrypted form of the supplied ACL string. This function is similar to the  encrypt  function, but is intended for use with Access Control Lists (ACLs). The function encrypts user and group names, but not delimiters such as :U:,:NU:, and the commas in ..."},"483":{y:0,u:"../Content/Lua/General/_LUA_extract_date.htm",l:-1,t:"extract_date",i:0.000450187369323815,a:"The extract_date function searches a string for a date and returns the date. This function uses standard IDOL date formats.  All date and time input is treated as local time unless it contains explicit time zone information. The following table describes the standard IDOL date formats: The following ..."},"484":{y:0,u:"../Content/Lua/General/_LUA_file_setdates.htm",l:-1,t:"file_setdates",i:0.000450187369323815,a:"The file_setdates method sets the metadata for the file specified by path. If the format argument is not specified, the dates must be specified in seconds since the epoch (1st January 1970). Syntax file_setdates( path, created, modified, accessed [, format] ) Arguments Returns (Boolean). A Boolean ..."},"485":{y:0,u:"../Content/Lua/General/_LUA_fingerprint_string.htm",l:-1,t:"fingerprint_string",i:0.000450187369323815,a:"The fingerprint_string function generates a list of fingerprints from an input string. These fingerprints can be compared with fingerprints generated from a different string to ascertain whether any parts of the strings match. This function is intended to process document-sized portions of text. It ..."},"486":{y:0,u:"../Content/Lua/General/_LUA_get_config.htm",l:-1,t:"get_config",i:0.00134195067996008,a:"The get_config function loads a configuration file. Configuration files are cached after the first call to get_config, to avoid unnecessary disk I/O in the likely event that the same configuration is accessed frequently by subsequent invocations of the Lua script. One cache is maintained per Lua ..."},"487":{y:0,u:"../Content/Lua/General/_LUA_get_log.htm",l:-1,t:"get_log",i:0.000450187369323815,a:"This version of the get_log function is deprecated in Oracle Connector 11.4.0 and later. This version of the function is still available for existing implementations, but it might be incompatible with new functionality. This version of the function might be removed in future. Micro Focus recommends ..."},"488":{y:0,u:"../Content/Lua/General/_LUA_get_log2.htm",l:-1,t:"get_log",i:0.0025501924410446,a:"get_log The get_log method returns a  LuaLog  object that provides the capability to write messages to a specified log type. Syntax get_log( log_type ) Arguments Returns (LuaLog). A  LuaLog  object. Example local log = get_log(\"application\")\nlog:write_line(log_level_normal(), \"doing something...\")"},"489":{y:0,u:"../Content/Lua/General/_LUA_get_log_service.htm",l:-1,t:"get_log_service",i:0.00064674730990362,a:"The get_log_service function obtains a  LuaLogService  object, from which you can obtain a  LuaLog  object that you can use to write messages to a log file. To obtain a LuaLog object for writing to a standard log stream, call the function without any arguments or use the function  get_log  instead. ..."},"490":{y:0,u:"../Content/Lua/General/_LUA_get_task_config.htm",l:-1,t:"get_task_config",i:0.000450187369323815,a:"The get_task_config function returns a LuaConfig object that contains the configuration of the fetch task that called the script. For information about the methods you can use to read information from the LuaConfig object, see  LuaConfig Methods . Syntax get_task_config() Returns (LuaConfig). A ..."},"491":{y:0,u:"../Content/Lua/General/_LUA_get_task_log.htm",l:-1,t:"get_task_log",i:0.000450187369323815,a:"get_task_log The get_task_log function returns a LuaLog object so that you can write messages to the log stream for the current fetch task. Syntax get_task_log() Returns (LuaLog). A  LuaLog  object."},"492":{y:0,u:"../Content/Lua/General/_LUA_get_task_name.htm",l:-1,t:"get_task_name",i:0.000450187369323815,a:"get_task_name The get_task_name function returns a string that contains the name of the fetch task that called the script. Syntax get_task_name() Returns (String). A string that contains the task name."},"493":{y:0,u:"../Content/Lua/General/_LUA_getcwd.htm",l:-1,t:"getcwd",i:0.000450187369323815,a:"getcwd The getcwd method returns the current working directory of the application. Syntax getcwd() Returns (String). Returns a string containing the absolute path of the current working directory."},"494":{y:0,u:"../Content/Lua/General/_LUA_gobble_whitespace.htm",l:-1,t:"gobble_whitespace",i:0.000450187369323815,a:"gobble_whitespace The gobble_whitespace method reduces multiple adjacent white spaces (tabs, carriage returns, spaces, and so on) in the specified string to a single space. Syntax gobble_whitespace( input ) Arguments Returns (String). A string without adjacent white spaces."},"495":{y:0,u:"../Content/Lua/General/_LUA_hash_file.htm",l:-1,t:"hash_file",i:0.000450187369323815,a:"hash_file The hash_file method hashes the contents of the specified file using the SHA1 or MD5 algorithm. Syntax hash_file( FileName, Algorithm ) Arguments Returns (String). A hash of the file contents."},"496":{y:0,u:"../Content/Lua/General/_LUA_hash_string.htm",l:-1,t:"hash_string",i:0.000450187369323815,a:"hash_string The hash_string method hashes the specified string using the SHA1 or MD5 algorithm. Syntax hash_string( StringToHash, Algorithm ) Arguments Returns (String). The hashed input string."},"497":{y:0,u:"../Content/Lua/General/_LUA_is_dir.htm",l:-1,t:"is_dir",i:0.000450187369323815,a:"is_dir The is_dir method checks if the supplied path is a directory. Syntax is_dir( path ) Arguments Returns (Boolean). Returns true if the supplied path is a directory, false otherwise."},"498":{y:0,u:"../Content/Lua/General/_LUA_log.htm",l:-1,t:"log",i:0.000450187369323815,a:"log The log method appends log messages to the specified file. Syntax log( file, message ) Arguments"},"499":{y:0,u:"../Content/Lua/General/_LUA_move_file.htm",l:-1,t:"move_file",i:0.000450187369323815,a:"move_file The move_file method moves a file. Syntax move_file( src, dest [, overwrite] ) Arguments Returns (Boolean). Returns true to indicate success, false otherwise."},"500":{y:0,u:"../Content/Lua/General/_LUA_parse_csv.htm",l:-1,t:"parse_csv",i:0.000450187369323815,a:"The parse_csv method parses a string of comma-separated values into individual strings. The method understands quoted values (such that parsing \u0027foot, \"leg, torso\", elbow\u0027 produces three values) and ignores white space around delimiters. Syntax parse_csv( input [, delimiter ] ) Arguments Returns ..."},"501":{y:0,u:"../Content/Lua/General/_LUA_parse_document_csv.htm",l:-1,t:"parse_document_csv",i:0.000450187369323815,a:"The parse_document_csv function parses a CSV file into documents and calls a function on each document. This function can handle CSV files with or without a header row, but if a header row is not present you must: set the named parameter use_header_row to false. specify the document field names to ..."},"502":{y:0,u:"../Content/Lua/General/_LUA_parse_document_idx.htm",l:-1,t:"parse_document_idx",i:0.000577740625562734,a:"Parses an IDX file into documents and calls a function on each document. Syntax parse_document_idx( filename, handler ) Arguments Example The following example uses the parse_document_idx function to parse an IDX file, and calls the function appendDocumentReference on each document. \nlocal ..."},"503":{y:0,u:"../Content/Lua/General/_LUA_parse_document_idx2.htm",l:-1,t:"parse_document_idx",i:0.000450187369323815,a:"Parses an IDX file, or a string of IDX data, and returns a  LuaDocument . You can use this function if the file or string contains a single document. If you have a file or string that contains multiple documents, use one of the following functions instead: parse_document_idx(filename, handler) ..."},"504":{y:0,u:"../Content/Lua/General/_LUA_parse_document_idx3.htm",l:-1,t:"parse_document_idx",i:0.000577740625562734,a:"parse_document_idx Parses an IDX file, or a string of IDX data, into documents and calls a function on each document. Syntax parse_document_idx( input, isFile, handler ) Arguments Returns Nothing."},"505":{y:0,u:"../Content/Lua/General/_LUA_parse_document_xml.htm",l:-1,t:"parse_document_xml",i:0.000577740625562734,a:"Parses an XML file into documents and calls a function on each document. Syntax parse_document_xml( filename, handler [, params ] ) Arguments Named Parameters Example The following example parses an XML file named data.xml, and calls the function printReference on each document. Two values have been ..."},"506":{y:0,u:"../Content/Lua/General/_LUA_parse_document_xml2.htm",l:-1,t:"parse_document_xml",i:0.000450187369323815,a:"Parses an XML file, or a string of XML data, and returns a LuaDocument. You can use this function if the file or string contains a single document. If you have a file or string that contains multiple documents, use one of the following functions instead: parse_document_xml(filename, handler [, ..."},"507":{y:0,u:"../Content/Lua/General/_LUA_parse_document_xml3.htm",l:-1,t:"parse_document_xml",i:0.000577740625562734,a:"parse_document_xml Parses an XML file, or a string of XML data, into documents and calls a function on each document. Syntax parse_document_xml( input, isFile, handler [, params ] ) Arguments Named Parameters Returns Nothing."},"508":{y:0,u:"../Content/Lua/General/_LUA_parse_json.htm",l:-1,t:"parse_json",i:0.000840191856830764,a:"The parse_json function parses a string of JSON and returns a JSON value. Syntax parse_json( json ) Arguments Returns ( LuaJsonValue ). A LuaJsonValue containing the JSON data. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ..."},"509":{y:0,u:"../Content/Lua/General/_LUA_parse_json_array.htm",l:-1,t:"parse_json_array",i:0.000688242120528203,a:"The parse_json_array function parses a string and returns a JSON array. Syntax parse_json_array( json ) Arguments Returns ( LuaJsonArray ). A LuaJsonArray containing the JSON data. See Also If you can\u0027t be sure whether the input data is a JSON array, you can use the function  parse_json  to parse ..."},"510":{y:0,u:"../Content/Lua/General/_LUA_parse_json_object.htm",l:-1,t:"parse_json_object",i:0.000688242120528203,a:"The parse_json_object function parses a string and returns a JSON object. Syntax parse_json_object( json ) Arguments Returns ( LuaJsonObject ). A LuaJsonObject containing the JSON data. See Also If you can\u0027t be sure whether the input data is a JSON object, you can use the function  parse_json  to ..."},"511":{y:0,u:"../Content/Lua/General/_LUA_parse_xml.htm",l:-1,t:"parse_xml",i:0.000450187369323815,a:"The parse_xml method parses an XML string to a LuaXmlDocument. The following character encodings are supported. If the XML uses a different character encoding, you can use the function  convert_encoding  to convert the encoding before parsing the XML. UTF-8 UTF-16 ISO-Latin-1 (ISO-8859-1) ASCII ..."},"512":{y:0,u:"../Content/Lua/General/_LUA_regex_match.htm",l:-1,t:"regex_match",i:0.000450187369323815,a:"The regex_match method performs a regular expression match on a string. Syntax regex_match( input, regex [, case] ) Arguments Returns One or more strings, or nil. If the string matches the regular expression, and the regular expression has no sub-matches, the full string is returned. If the string ..."},"513":{y:0,u:"../Content/Lua/General/_LUA_regex_replace_all.htm",l:-1,t:"regex_replace_all",i:0.000450187369323815,a:"The regex_replace_all method searches a string for matches to a regular expression, and replaces the matches according to the value specified by the replacement argument. Syntax regex_replace_all( input, regex, replacement ) Arguments Returns (String). The modified string. Examples ..."},"514":{y:0,u:"../Content/Lua/General/_LUA_regex_search.htm",l:-1,t:"regex_search",i:0.000450187369323815,a:"regex_search The regex_search method performs a regular expression search on a string. This method returns a LuaRegexMatch object, rather than strings. Syntax regex_search ( input, regex [, case]) Arguments Returns (LuaRegexMatch)."},"515":{y:0,u:"../Content/Lua/General/_LUA_script_path.htm",l:-1,t:"script_path",i:0.000450187369323815,a:"The script_path function returns the path and file name of the script that is running. Syntax script_path() Returns (String, String) Returns the path of the folder that contains the script and the file name of the script, as separate strings. Example local script_directory, script_filename = ..."},"516":{y:0,u:"../Content/Lua/General/_LUA_send_aci_action.htm",l:-1,t:"send_aci_action",i:0.00437942139864752,a:"The send_aci_action method sends a query to an ACI server. This method takes the action parameters as a table instead of the full action as a string, as with send_aci_command. This avoids issues with parameter values containing an ampersand (\u0026). Syntax send_aci_action( host, port, action [, ..."},"517":{y:0,u:"../Content/Lua/General/_LUA_send_aci_command.htm",l:-1,t:"send_aci_command",i:0.00417388455191143,a:"The send_aci_command method sends a query to an ACI server. Syntax send_aci_command( host, port, query [, timeout] [, retries] [, sslParameters] ) Arguments Returns (String). Returns the XML response as a string. If required, you can call parse_xml on the string to return a LuaXmlDocument. If the ..."},"518":{y:0,u:"../Content/Lua/General/_LUA_send_and_wait_for_async_aci_action.htm",l:-1,t:"send_and_wait_for_async_aci_action",i:0.000450187369323815,a:"The send_and_wait_for_async_aci_action method sends a query to an ACI server. The method does not return until the action has completed. You might use this method when you want to use an asynchronous action. The send_aci_action method returns as soon as it receives a response, which for an ..."},"519":{y:0,u:"../Content/Lua/General/_LUA_send_http_request.htm",l:-1,t:"send_http_request",i:0.00298220339943262,a:"The send_http_request function sends an HTTP request. Syntax send_http_request( params ) Arguments Named Parameters Returns String. The HTTP response. The send_http_request function can throw an exception if the request fails. You can catch an exception by calling send_http_request using the Lua ..."},"520":{y:0,u:"../Content/Lua/General/_LUA_sleep.htm",l:-1,t:"sleep",i:0.000450187369323815,a:"sleep The sleep method pauses the thread. Syntax sleep( milliseconds ) Arguments"},"521":{y:0,u:"../Content/Lua/General/_LUA_unzip_file.htm",l:-1,t:"unzip_file",i:0.000450187369323815,a:"unzip_file The unzip_file method extracts the contents of a zip file. Syntax unzip_file( path, dest ) Arguments Returns (Boolean). Returns a Boolean indicating success or failure."},"522":{y:0,u:"../Content/Lua/General/_LUA_url_escape.htm",l:-1,t:"url_escape",i:0.000450187369323815,a:"url_escape The url_escape method percent-encodes a string. Syntax url_escape( input ) Arguments Returns (String). The percent-encoded string."},"523":{y:0,u:"../Content/Lua/General/_LUA_url_unescape.htm",l:-1,t:"url_unescape",i:0.000450187369323815,a:"url_unescape The url_unescape method replaces URL escaped characters and returns a standard string. Syntax url_unescape( input ) Arguments Returns (String). The modified string."},"524":{y:0,u:"../Content/Lua/General/_LUA_xml_encode.htm",l:-1,t:"xml_encode",i:0.000450187369323815,a:"xml_encode The xml_encode method takes a string and encodes it using XML escaping. Syntax xml_encode ( content ) Arguments Returns (String)."},"525":{y:0,u:"../Content/Lua/General/_LUA_zip_file.htm",l:-1,t:"zip_file",i:0.000450187369323815,a:"The zip_file method zips the supplied path (file or directory). It overwrites the output file only if you set the optional overwrite argument to true. Syntax zip_file( path [, overwrite] ) Arguments Returns (Boolean). Returns a Boolean indicating success or failure. On success writes a file called ..."},"526":{y:0,u:"../Content/Lua/LuaConfig/_LUA_LuaConfig_Methods.htm",l:-1,t:"LuaConfig Methods",i:0.000826660238122814,a:"A LuaConfig object provides access to configuration information. You can retrieve a LuaConfig for a given configuration file using the get_config function. If you have a LuaConfig object called config you can call its methods using the \u0027:\u0027 operator. For example: config:getValue(sectionName, ..."},"527":{y:0,u:"../Content/Lua/LuaConfig/_LUA_getEncryptedValue.htm",l:-1,t:"getEncryptedValue",i:0.000619666030629848,a:"getEncryptedValue The getEncryptedValue method returns the unencrypted value from the configuration file of an encrypted value. Syntax getEncryptedValue( section, parameter ) Arguments Returns (String). The unencrypted value."},"528":{y:0,u:"../Content/Lua/LuaConfig/_LUA_getValue.htm",l:-1,t:"getValue",i:0.000619666030629848,a:"The getValue method returns the value of the configuration parameter key in a given section. If the key does not exist in the section, then it returns the default value. Syntax getValue( section, key [, default] ) Arguments Returns A string, boolean, or integer containing the value read from the ..."},"529":{y:0,u:"../Content/Lua/LuaConfig/_LUA_getValues.htm",l:-1,t:"getValues",i:0.000619666030629848,a:"The getValues method returns multiple values for a parameter (for example, a comma-separated list or numbered list like keyN). Syntax getValues( section, parameter ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call ..."},"530":{y:0,u:"../Content/Lua/LuaConfig/_LUA_LuaConfig_new.htm",l:-1,t:"LuaConfig:new",i:0.00104988213465021,a:"LuaConfig:new The constructor for a LuaConfig object (creates a new LuaConfig object). Syntax LuaConfig:new( config_buffer ) Arguments Returns (LuaConfig). The new LuaConfig object. Example local config_buffer = \"[default]\\nparameter=value\"\nlocal config = LuaConfig:new(config_buffer)"},"531":{y:0,u:"../Content/Lua/LuaDocument/_LUA_LuaDocument_Methods.htm",l:-1,t:"LuaDocument Methods",i:0.000699106981883895,a:"This section describes the methods provided by the LuaDocument object. A LuaDocument allows you to access and modify the reference, metadata and content of a document. If you have a LuaDocument object called document you can call its methods using the \u0027:\u0027 operator. For example: ..."},});